@NonNullApi

# Package org.springframework.data.crossstore

Support for cross-store persistence.

See: Description

Interface Summary
ChangeSet: Interface representing the set of changes in an entity.
ChangeSetBacked: Interface introduced to objects exposing ChangeSet information
ChangeSetPersister<K>: Interface to be implemented by classes that can synchronize between data stores and ChangeSets.

Class Summary
ChangeSetBackedTransactionSynchronization
HashMapChangeSet: Simple ChangeSet implementation backed by a HashMap.

Exception Summary
ChangeSetPersister.NotFoundException: Exception thrown in alternate control flow if getPersistentState finds no entity data.

## Package org.springframework.data.crossstore Description

Support for cross-store persistence.